Package com.independentsoft.office.drawing

# Class HslColor

java.lang.Object
com.independentsoft.office.drawing.ColorChoice
com.independentsoft.office.drawing.HslColor

public class HslColor extends ColorChoice
The Class HslColor.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.drawing.ColorChoice

  `colorTransforms`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HslColor()`
  Instantiates a new hsl color.
  `HslColor​(InternalXMLStreamReader reader)`
  Instantiates a new hsl color.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HslColor`
  `clone()`
  `int`
  `getHueValue()`
  Gets the hue value.
  `int`
  `getLuminanceValue()`
  Gets the luminance value.
  `int`
  `getSaturationValue()`
  Gets the saturation value.
  `void`
  `setHueValue​(int hueValue)`
  Sets the hue value.
  `void`
  `setLuminanceValue​(int luminanceValue)`
  Sets the luminance value.
  `void`
  `setSaturationValue​(int saturationValue)`
  Sets the saturation value.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.drawing.ColorChoice

  `getColorTransforms`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HslColor

    public HslColor()
    Instantiates a new hsl color.

  - ### HslColor

    public HslColor​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new hsl color.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public HslColor clone()
    Specified by:
      `clone` in class `ColorChoice`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHueValue

    public int getHueValue()
    Gets the hue value.
    Returns:
      the hue value

  - ### setHueValue

    public void setHueValue​(int hueValue)
    Sets the hue value.
    Parameters:
      `hueValue` - the new hue value

  - ### getLuminanceValue

    public int getLuminanceValue()
    Gets the luminance value.
    Returns:
      the luminance value

  - ### setLuminanceValue

    public void setLuminanceValue​(int luminanceValue)
    Sets the luminance value.
    Parameters:
      `luminanceValue` - the new luminance value

  - ### getSaturationValue

    public int getSaturationValue()
    Gets the saturation value.
    Returns:
      the saturation value

  - ### setSaturationValue

    public void setSaturationValue​(int saturationValue)
    Sets the saturation value.
    Parameters:
      `saturationValue` - the new saturation value